PMDAPODMAN(1)

NAME
pmdapodman - podman container performance metrics domain agent (PMDA)

SYNOPSIS
$PCP_PMDAS_DIR/podman/pmdapodman [-d domain] [-l logfile]

DESCRIPTION
podman(1) is a utility for managing pods, containers and container images, following the container pod concept popularized by Kubernetes. pmdapodman is a Performance Metrics Domain Agent (PMDA) which extracts performance metrics describing the state of containers and pods managed by podman.

The podman PMDA exports metrics that measure information about individual containers and groups of containers, called pods.

A brief description of the pmdapodman command line options follows:

-d  It is absolutely crucial that the performance metrics domain number specified here is unique and consistent. That is, domain should be different for every PMDA on the one host, and the same domain number should be used for the same PMDA on all hosts.

-l  Location of the log file. By default, a log file named podman.log is written in the current directory of pmcd(1) when pmdapodman is started, i.e. $PCP_LOG_DIR/pmcd. If the log file cannot be created or is not writable, output is written to the standard error instead.

INSTALLATION
The podman PMDA is installed and available by default on Linux. If you want to undo the installation, do the following as root:

# cd $PCP_PMDAS_DIR/podman
# ./Remove

If you want to establish access to the names, help text and values for the podman performance metrics once more, after removal, do the following as root:

# cd $PCP_PMDAS_DIR/podman
# ./Install

pmdapodman is launched by pmcd(1) and should never be executed directly. The Install and Remove scripts notify pmcd(1) when the agent is installed or removed.

FILES
$PCP_PMCDCONF_PATH
    command line options used to launch pmdapodman
$PCP_PMDAS_DIR/podman/help
    default help text file for the podman metrics
$PCP_PMDAS_DIR/podman/Install
    installation script for the pmdapodman agent
$PCP_PMDAS_DIR/podman/Remove
    undo installation script for the pmdapodman agent
$PCP_LOG_DIR/pmcd/podman.log
    default log file for error messages and other information from pmdapodman

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

SEE ALSO
PCPIntro(1), pmcd(1), podman(1), pcp.conf(5) and pcp.env(5).